Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class ReportBlkType

    java.lang.Object
      nz.co.cks.tms.xml.ReportBlkType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MessageReportBlk

public abstract class ReportBlkType
extends java.lang.Object
implements java.io.Serializable

Class ReportBlkType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private ReportBilling` | `_reportBilling` Field _reportBilling

Constructor Summary
`ReportBlkType()`

Method Summary
`ReportBilling` | `getReportBilling()` Method getReportBillingReturns the value of field 'reportBilling'.
`boolean` | `isValid()` Method isValid
`void` | `setReportBilling(ReportBilling reportBilling)` Method setReportBillingSets the value of field 'reportBilling'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _reportBilling

    private ReportBilling _reportBilling

  Field _reportBilling

Constructor Detail

### ReportBlkType

    public ReportBlkType()

Method Detail

### getReportBilling

    public ReportBilling getReportBilling()

  Method getReportBillingReturns the value of field 'reportBilling'.

  Returns:
    the value of field 'reportBilling'.

### isValid

    public boolean isValid()

  Method isValid

### setReportBilling

    public void setReportBilling(ReportBilling reportBilling)

  Method setReportBillingSets the value of field 'reportBilling'.

  Parameters:
    `reportBilling` - the value of field 'reportBilling'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD